Create a group
/scim/v2/directories/{directoryId}/GroupsSCIM 2.0 (RFC 7644 §3.3). Creates a group the identity provider pushes, with its members. Members receive a role only once an administrator maps the group to a role. Returns the SCIM Group resource with 201. Errors use SCIM's error schema (RFC 7644 §3.12).
Path Parameters
directoryIdstring Required The directory the SCIM token was minted for.
Request body
application/json
schemasstring[] Optional displayNamestring Required externalIdstring Optional membersScimMemberDto[] Optional Responses
application/scim+json
schemas *string[]id *stringexternalIdstringdisplayName *stringmembers *ScimMemberDto[]meta *ScimMetaDto
application/scim+json
schemas *string[]status *stringThe HTTP status, as a string
detail *stringscimTypestringPresent for some refusals, e.g. `uniqueness`
application/scim+json
schemas *string[]status *stringThe HTTP status, as a string
detail *stringscimTypestringPresent for some refusals, e.g. `uniqueness`
application/scim+json
schemas *string[]status *stringThe HTTP status, as a string
detail *stringscimTypestringPresent for some refusals, e.g. `uniqueness`
Returned object
curl -X POST "https://auth.canopy-io.com/scim/v2/directories/value/Groups" \ -H "Content-Type: application/json" \ -d '{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ], "displayName": "string", "externalId": "string", "members": [ { "value": "string" } ] }'
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ], "id": "string", "externalId": "string", "displayName": "string", "members": [ { "value": "string" } ], "meta": { "resourceType": "User", "created": "2026-04-20T12:00:00.000Z", "lastModified": "2026-04-20T12:00:00.000Z", "location": "string", "version": "string" } }
Tell us how we can improve this guide.